Relativity compatibility matrix

This page contains the following:

Relativity system requirements matrix

The following table breaks down the supported operating systems, framework, IIS versions, browsers, and versions of SQL Server per Relativity version. For additional Chrome, Firefox, and Safari supported version details, see End user browser and operating system requirements .

Software 9.6 9.7 10.0 10.1 10.2 10.3 Server 2021
Operating systems - Relativity Desktop Client
Windows 7  
Windows 8 (Desktop Mode only)  
Windows 8.1
Windows 10
Operating systems - servers and Relativity Desktop Client
Windows Server 2012 R2
Windows Server 2016
Windows Server 2019            
Framework
Microsoft .NET Version 3.5
Microsoft .NET Version 4.6.2
Microsoft .NET Version 4.7

SQL versions
SQL Server 2012      
SQL Server 2014*  
SQL Server 2016*  
SQL Server 2017*      
SQL Server 2019*            

Note: SQL Server 2019 requires Windows Server 2016 or 2019. It is not compatible with Windows Server 2012.

*See Compatibility considerations for Service Bus for Windows Server.

Compatibility considerations for Service Bus for Windows Server

While Relativity will continue to support Service Bus for Windows Server for the near future, RabbitMQ is the recommended message broker for Relativity Server 2021. Microsoft has announced that support for Service Bus for Windows Server will end in January 2023 and the product is no longer receiving security updates.

While we aren't aware of any issues with Service Bus for Windows Server with the Service Bus TLS 1.2 update running on any of the supported Windows Server/SQL Server combinations for Relativity Server 2021, Relativity can't guarantee compatibility outside of Microsoft’s official support matrix. Future updates from Microsoft may impact the stability of your infrastructure if you aren't running the service bus on a supported OS and SQL platform.

Note: For information on service bus compatibility, see the Workarounds for Service Bus 1.1 with TLS 1.2 section for your version of Relativity on Upgrade considerations for Relativity Server 2021.

End user browser and operating system requirements

Note: As of August 31, 2017, we no longer support Internet Explore (IE) 10. Please upgrade to a compatible version of IE 11.

Software 9.6 9.7 10.0 10.1 10.2 10.3 Server 2021
IE 11 *
Chrome (for Windows and Mac OSX) latest version latest version latest version latest version latest version latest version latest version
Firefox (for Windows and Mac OSX) latest version* latest version latest version latest version latest version latest version latest version
Safari (OSX 10.9) v. 11+ v. 11+ v. 11+ v. 11+ v. 11+ v. 11+ v. 11+
Safari (OSX 10.10) v. 11+ v. 11+ v. 11+ v. 11+ v. 11+ v. 11+ v. 11+

* Although IE11 and Firefox are currently supported in Relativity 9.6, performance testing indicates that they are slower when rendering the List Page in Relativity. IE11 is slower at DOM manipulation in the browser making it less performant in the HTML5 Viewer. For these reasons, we recommend using Chrome.

Note:  Relativity does not currently support the Linux operating system for any browser.

Internet Explorer with Compatibility View

Relativity doesn't support using Internet Explorer with Compatibility View enabled. Disable Compatibility View in Internet Explorer using the following steps:

  1. Press the Alt key.
  2. Click Tools > Compatibility View settings.
  3. Remove your URL for Relativity from the list of Websites you've added to Compatibility View.
  4. Deselect the checkbox labeled Display intranet sites in Compatibility View.
  5. Click Close.

Relativity release matrix

The following table lists the Invariant (worker manager server) and Outside In versions released with each Relativity release. Along with the Relativity Analytics engine and Secret Store versions compatible with each release of Relativity.

Relativity version Relativity release date Outside In version Invariant version Analytics engine version Secret Store version
Server 2021 January 25, 2021 Outside In 2019.5.3 Server 2021 4.5.1 1.2.603.5

Note: When upgrading to Relativity Server 2021, you must manually upgrade your Invariant workers. This means that you must run the installer on all of the workers.